Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class RandomBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.RandomBase

All Implemented Interfaces:
  Manageable, Shareable

    public class RandomBase

extends ShareableBase

Nested Class Summary
`static class` | `RandomBase.Type`

Field Summary
`static RandomBase.Type` | `$TYPE`
`static SCOType.Field` | `initial$FIELD`
`static SCOType.Field` | `randomX$FIELD`
`static SCOType.Field` | `randomXY$FIELD`
`static SCOType.Field` | `randomY$FIELD`

Constructor Summary
`RandomBase()`

Method Summary
`int` | `getInitial()`
`ManageableType` | `getManageableType()`
`float` | `getRandomX()`
`float` | `getRandomXY()`
`float` | `getRandomY()`
`void` | `setInitial(int value)`
`void` | `setRandomX(float value)`
`void` | `setRandomXY(float value)`
`void` | `setRandomY(float value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final RandomBase.Type $TYPE

### initial$FIELD

    public static final SCOType.Field initial$FIELD

### randomX$FIELD

    public static final SCOType.Field randomX$FIELD

### randomXY$FIELD

    public static final SCOType.Field randomXY$FIELD

### randomY$FIELD

    public static final SCOType.Field randomY$FIELD

Constructor Detail

### RandomBase

    public RandomBase()

Method Detail

### getInitial

    public int getInitial()

### getManageableType

    public ManageableType getManageableType()

### getRandomX

    public float getRandomX()

### getRandomXY

    public float getRandomXY()

### getRandomY

    public float getRandomY()

### setInitial

    public void setInitial(int value)

### setRandomX

    public void setRandomX(float value)

### setRandomXY

    public void setRandomXY(float value)

### setRandomY

    public void setRandomY(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD